org.apache.flume.source

## Class SequenceGeneratorSource

- java.lang.Object
- - org.apache.flume.source.BasicSourceSemantics
  - - org.apache.flume.source.AbstractPollableSource
    - - org.apache.flume.source.SequenceGeneratorSource

- All Implemented Interfaces:
    Configurable, LifecycleAware, NamedComponent, PollableSource, Source

      public class SequenceGeneratorSource
      extends AbstractPollableSource
      implements Configurable

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.flume.PollableSource

      `PollableSource.Status`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SequenceGeneratorSource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doConfigure(Context context)` Read parameters from context batchSize = type int that defines the size of event batches
    `protected PollableSource.Status` | `doProcess()`
    `protected void` | `doStart()`
    `protected void` | `doStop()`

    - ### Methods inherited from class org.apache.flume.source.AbstractPollableSource

      `configure, getBackOffSleepIncrement, getMaxBackOffSleepInterval, process`

    - ### Methods inherited from class org.apache.flume.source.BasicSourceSemantics

      `getChannelProcessor, getLifecycleState, getName, getStartException, isStarted, setChannelProcessor, setLifecycleState, setName, start, stop, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.flume.conf.Configurable

      `configure`

    - ### Methods inherited from interface org.apache.flume.Source

      `getChannelProcessor, setChannelProcessor`

    - ### Methods inherited from interface org.apache.flume.lifecycle.LifecycleAware

      `getLifecycleState, start, stop`

    - ### Methods inherited from interface org.apache.flume.NamedComponent

      `getName, setName`

- - ### Constructor Detail

    - #### SequenceGeneratorSource

          public SequenceGeneratorSource()

  - ### Method Detail

    - #### doConfigure

          protected void doConfigure(Context context)
                              throws FlumeException

      Read parameters from context
    - batchSize = type int that defines the size of event batches

Specified by:
  `doConfigure` in class `BasicSourceSemantics`
Throws:
  `FlumeException`

- #### doProcess

      protected PollableSource.Status doProcess()
                                         throws EventDeliveryException

  Specified by:
    `doProcess` in class `AbstractPollableSource`
  Throws:
    `EventDeliveryException`

- #### doStart

      protected void doStart()
                      throws FlumeException

  Specified by:
    `doStart` in class `BasicSourceSemantics`
  Throws:
    `FlumeException`

- #### doStop

      protected void doStop()
                     throws FlumeException

  Specified by:
    `doStop` in class `BasicSourceSemantics`
  Throws:
    `FlumeException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.